// Set Up Regex Pattern Matches as Global Variables
// Validate Node Numbers as Positive Integers > 1
var matchnode = /(^[1-9][0-9]{0,6}$)/;
// Validate RGB Values by Ensuring the Input is in the 0 - 255 Range
var matchrgb = /(^[0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]$)/;
// Validate Lengths as an Integer or Decimal Number
// With Optional Leading - Sign and Optional Trailing Units (',",cm,m,mm) Designator
// 2nd Section is to validate Feet and Inches
var matchlength = /(^-?\d{1,8}(\.\d{1,8})?(\'|cm|m|mm|\")?$)|(^-?\d{1,8}\'[1-9][0-1]?(\.\d{1,8})?\"$)/;
// Validate Dimension (Lengths) as an Unsigned Integer or Decimal Number
// With Optional Trailing Units (',",cm,m,mm) Designator
// 2nd Section is to validate Feet and Inches
var matchdimension = /(^\d{1,8}(\.\d{1,8})?(\'|cm|m|mm|\")?$)|(^\d{1,8}\'[1-9][0-1]?(\.\d{1,8})?\"$)/;
// Validate File Names - Only Allow Letters, Numbers and Underscore Length 20
var matchfilename = /^[A-Za-z]\w{2,19}$/;
// Validate File Names - Only Allow Letters, Numbers and Underscore Length 25
var matchfilename1 = /^[A-Za-z]\w{2,24}$/;
// Validate Number of Nodes as Positive Integers
var matchnodenum = /^[0-9]{0,7}$/;
// End of Regex Rules